Hooks:PostHook( WeaponFactoryTweakData, "init", "BeowulfmodInit", function(self)
        self.parts.wpn_fps_ass_m4_beowulf_uupg_o_fold.stance_mod = {
            wpn_fps_ass_m4_beowulf = {
                translation = Vector3(-0.02, 0, 2.1),
                rotation = Rotation(0, 0.2, 0)
            }
        }
		
		self.parts.wpn_fps_ass_m4_beowulf_uupg_o_flipup.stance_mod = {
            wpn_fps_ass_m4_beowulf = {
                translation = Vector3(-0.03, 0, -0.15),
                rotation = Rotation(0, 0.2, 0)
            }
        }
		
		self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_m4)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_m4_beowulf = deep_clone(self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_m4)
end )